It's all about the answers!

Ask a question

How to fix CRJAZ1138I Failed to create service instance com.ibm.team.build: "com.ibm.team.build.internal.service.TeamBuildScmService". com.ibm.team.repository.common.transport.TeamServiceRegistryException: CRJAZ1138I Failed to create service instance


Jeff Ong (14113340) | asked Jun 10 '15, 9:46 a.m.
edited Jun 10 '15, 9:49 a.m.
At the bottom of the jazz/admin page under the Service Error Summary section, we are seeing these errors:

CRJAZ1138I Failed to create service instance com.ibm.team.build: "com.ibm.team.build.internal.service.TeamBuildScmService".
com.ibm.team.repository.common.transport.TeamServiceRegistryException: CRJAZ1138I Failed to create service instance com.ibm.team.build: "com.ibm.team.build.internal.service.TeamBuildScmService".

Caused by: com.ibm.team.repository.common.transport.TeamServiceRegistryException: Plug-in "com.ibm.team.build.service" was unable to instantiate class "com.ibm.team.build.internal.service.TeamBuildScmService".
    at com.ibm.team.repository.common.transport.internal.registry.ServiceProviderElementDescriptor.createImplementation(ServiceProviderElementDescriptor.java:102)


 Caused by: java.lang.NoClassDefFoundError: com.ibm.team.scm.common.IWorkspaceHandle


Any ideas what may be causing this issue ?

3 answers



permanent link
Natarajan Thirumeni (288116) | answered Jun 19 '15, 3:07 a.m.
Looks like some services can not be activated due to java class missing. Therefore I'd try to reload the plugin by calling a server reset. PLEASE NOTE, once the server reset is invoked you need to restart the server.

The URL to server reset.
https://<server>:<port>/ccm/admin?internal=true#action=com.ibm.team.repository.admin.serverReset

Once you click on the button "Server Request Reset" you will see the following a message:

The Jazz Server has been flagged to reset and reload from the configured update-site when it is next restarted

permanent link
Don Rota (1492221) | answered Dec 20 '18, 9:46 a.m.
FORUM ADMINISTRATOR / JAZZ DEVELOPER
I'm getting this when I try to run the build engine, not the server, what do you reset on a build engine?
I get this at jbe startup

!SESSION 2018-12-20 09:42:33.077 -----------------------------------------------
eclipse.buildId=unknown
java.fullversion=8.0.5.25 - pxa6480sr5fp25-20181030_01(SR5 FP25)
JRE 1.8.0 Linux amd64-64-Bit Compressed References 20181029_400846 (JIT enabled, AOT enabled)
OpenJ9   - c5c78da
OMR      - 3d5ac33
IBM      - 8c1bdc2
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US

!ENTRY com.ibm.team.repository.rcp.core.nl1 2 0 2018-12-20 09:42:34.309
!MESSAGE Could not resolve module: com.ibm.team.repository.rcp.core.nl1 [241]
  Unresolved requirement: Fragment-Host: com.ibm.team.repository.rcp.core; bundle-version="[3.1.0,4.0.0)"
  Unresolved requirement: Fragment-Host: com.ibm.team.repository.rcp.core; bundle-version="[3.1.0,4.0.0)"


!ENTRY com.ibm.team.repository.common.remoteaccess.nl2a 2 0 2018-12-20 09:42:34.309
!MESSAGE Could not resolve module: com.ibm.team.repository.common.remoteaccess.nl2a [394]
  Unresolved requirement: Fragment-Host: com.ibm.team.repository.common.remoteaccess; bundle-version="[1.2.0,2.0.0)"
  Unresolved requirement: Fragment-Host: com.ibm.team.repository.common.remoteaccess; bundle-version="[1.2.0,2.0.0)"


!ENTRY com.ibm.team.enterprise.build.common.nl2 2 0 2018-12-20 09:42:34.310
!MESSAGE Could not resolve module: com.ibm.team.enterprise.build.common.nl2 [77]
  Unresolved requirement: Fragment-Host: com.ibm.team.enterprise.build.common; bundle-version="[3.0.0,4.0.0)"
  Unresolved requirement: Fragment-Host: com.ibm.team.enterprise.build.common; bundle-version="[3.0.0,4.0.0)"


!ENTRY com.ibm.teamp.filesystem.client.nl2 2 0 2018-12-20 09:42:34.310
!MESSAGE Could not resolve module: com.ibm.teamp.filesystem.client.nl2 [363]
  Unresolved requirement: Fragment-Host: com.ibm.teamp.filesystem.client; bundle-version="[4.0.0,5.0.0)"
  Unresolved requirement: Fragment-Host: com.ibm.teamp.filesystem.client; bundle-version="[4.0.0,5.0.0)"

....

!ENTRY org.eclipse.osgi 4 0 2018-12-20 09:42:34.369
!MESSAGE Application error
!STACK 1
java.lang.NullPointerException: null values not allowed
        at org.eclipse.core.internal.registry.ReferenceMap.put(ReferenceMap.java:351)
        at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.getBundle(RegistryStrategyOSGI.java:151)
        at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:166)
        at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)
        at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
        at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:191)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)
        at java.lang.reflect.Method.invoke(Method.java:508)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1465)


permanent link
Natarajan Thirumeni (288116) | answered Dec 20 '18, 10:21 a.m.
Don,

You're seeing

Unresolved requirement: Fragment-Host: com.ibm.team.repository.common.remoteaccess

This is not really related to the issue posted on this forum. You're using JBE (Jazz build Engine) ? Are you getting this error message when trying to start JBE? There is nothing you can reset here, you'd need to ensure you're using a JBE version same as RTC server or one level below. I see that you're using JRE 1.8, have you tried with IBM JRE 1.7 instead?  Please check if you're able to ping RTC public URI from the build machine.

It might be worth to log a support case so one of us take a look at it.

Your answer


Register or to post your answer.